Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.core
Interface IAgentLocation

    public interface IAgentLocation

An instance of this service represents the location of a provisioning agent's metadata.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

Field Summary
`static String` `SERVICE_NAME` Service name constant for the agent location service.

Method Summary
`URI` `getDataArea(String namespace)` Returns the location where the bundle with the given namespace may write its agent-related data.
`URI` `getRootLocation()` Returns the root `URI` of the agent metadata.

Field Detail

### SERVICE_NAME

    static final String SERVICE_NAME

  Service name constant for the agent location service.

Method Detail

### getDataArea

    URI getDataArea(String namespace)

  Returns the location where the bundle with the given namespace may write its agent-related data.

  Parameters:
    `namespace` - The namespace of the bundle storing the data
  Returns:
    The data location

### getRootLocation

    URI getRootLocation()

  Returns the root `URI` of the agent metadata.

  Returns:
    the location of the agent metadata

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.